{% extends 'app_base.html.twig' %}

{% block title %}Admin - Certificates: {{ certificate.serialNumber }} {% endblock %}

{% block body %}
    <nav aria-label="breadcrumb" class="bg-primary-subtle pt-xl-1 pb-xl-1 ps-3 mb-4">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ path('app_home') }}">Home</a></li>
            <li class="breadcrumb-item"><a href="{{ path('app_admin') }}">Admin</a></li>
            <li class="breadcrumb-item active" aria-current="page"><a href="{{ path('app_admin_certificates') }}">Certificates</a></li>
        </ol>
    </nav>

    <h1>Certificate</h1>
    <table class="table ">
        <tr>
            <th>Tajine ID</th>
            <td>{{ certificate.id }}</td>
        </tr>
        <tr>
            <th>Creator</th>
            <td>
                <a id="cert_creator" href="{{ path('app_admin_users_display', {'id': certificate.createdBy.id}) }}">
                    {{ certificate.createdBy.email }}</a>

                {% if managerNotices|length > 0 %}
                    <div id="cert_managerReminderNotices" class="small">
                        Email reminder :
                        {% for notice in managerNotices %}
                            <br> <mark>{{ notice.sentAt |date('Y-m-d H:i:s T') }}</mark>
                        {% endfor %}
                    </div>
                {% endif %}
            </td>
        </tr>
        <tr>
            <th>Serial Number</th>
            <td id="cert_serial-number">{{ certificate.serialNumber }}</td>
        </tr>
        <tr>
            <th>Subject</th>
            <td id="cert_subject">
                {% set subjectData = certificate.subject | trim('/') | split('/') %}
                {% for subjectItem in subjectData %}
                    {{ subjectItem }}<br>
                {% endfor %}
            </td>
        </tr>
        <tr>
            <th>User</th>
            <td>
                <a id="cert_used-by" href="{{ path('app_admin_users_display', {'id': certificate.usedBy.id}) }}">
                    {{ certificate.usedBy.email }}</a>

                {% if endUserNotices|length > 0 %}
                    <div id="cert_endUserReminderNotices" class="small">
                        Email reminder :
                        {% for notice in endUserNotices %}
                            <br> <mark>{{ notice.sentAt |date("Y-m-d H:i:s T") }}</mark>
                        {% endfor %}
                    </div>
                {% endif %}
            </td>
        </tr>
        <tr>
            <th>From</th>
            <td>{{ certificate.validFrom ? certificate.validFrom|date("Y-m-d H:i:s T") : '' }}</td>
        </tr>
        <tr>
            <th>To</th>
            <td>{{ certificate.validTo ? certificate.validTo|date("Y-m-d H:i:s T") : '' }}</td>
        </tr>
        <tr>
            <th>Public Key</th>
            <td>
                <p> <a  id="cert_download-public-key"
                        title="Download public key (PEM file) of certificate {{ certificate.serialNumber }}"
                        href="{{ path('app_admin_certificates_download',{'serialNumber': certificate.serialNumber}) }}">
                        Download public key (PEM file) of certificate</a>
                </p>
                <pre id="cert_public-key">{{ certificate.publicKey }}</pre>
            </td>
        </tr>
    </table>


    <a href="{{ path('app_admin_certificates') }}" title="">
        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-arrow-left-square" viewBox="0 0 16 16">
          <path fill-rule="evenodd" d="M15 2a1 1 0 0 0-1-1H2a1 1 0 0 0-1 1v12a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V2zM0 2a2 2 0 0 1 2-2h12a2 2 0 0 1 2 2v12a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V2zm11.5 5.5a.5.5 0 0 1 0 1H5.707l2.147 2.146a.5.5 0 0 1-.708.708l-3-3a.5.5 0 0 1 0-.708l3-3a.5.5 0 1 1 .708.708L5.707 7.5H11.5z"/>
        </svg> back to list
    </a>


{% endblock %}
